
import React from 'react'
import { View, Image } from '@tarojs/components'
import food from '@/assets/icons/ProCard/food.png'
import glTip from '@/assets/icons/housemantj/gltip.png'
import mjTip from '@/assets/icons/housemantj/mjtip.png'

import './style.less'

export default (props) => {
  const { type, top = '0px', left = '0px' } = props

  const icon = type === 'food' ||type=='shop'? food :type=='tourist'?mjTip : glTip;

  const style = {
    top,
    left
  }

  return (
    <View className='badge-tag-box' style={style}>
      <Image src={icon} className='badge-icon' />
    </View>
  )
}
